// Triggers error if array doesn't have enough items.
// startingIndex can be negative or positive.

export function errorIfArrayTooShortToMeetAdjacentItemsRequest(
	startingIndex, numberRequested, array
) {
	let positiveIndex;
	if (startingIndex < 0) positiveIndex = -startingIndex;

	if ((startingIndex + numberRequested > array.length) || (numberRequested > positiveIndex)) {
		throw new Error('the array does not have enough items to fulfill your' +
			' request');
	}
}