"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var errorIfNotInteger_1 = require("basic-data-handling/errorIfNotInteger");
var errorIfNotArray_1 = require("basic-data-handling/errorIfNotArray");
// index can be negative or positive.
function indexIsValid(index, array) {
    errorIfNotInteger_1.errorIfNotInteger(index);
    errorIfNotArray_1.errorIfNotArray(array);
    if (index < 0) {
        var positiveIndex = -index;
        return (positiveIndex <= array.length);
    }
    else
        return (index < array.length);
}
exports.indexIsValid = indexIsValid;
